МАРСОХОД

Open Source Hardware Project

Добро пожаловать, Гость
Логин: Пароль: Запомнить меня
  • Страница:
  • 1
  • 2

ТЕМА: Quartus для Linux

Quartus для Linux 3 года 5 мес. назад #3542

  • masser
  • masser аватар Автор темы
  • Не в сети
  • Новый участник
  • Новый участник
  • Сообщений: 1
  • Спасибо получено: 0
Подскажите какую версию Quartus под Linux поставить? Последняя 15-ая установилась без проблем, но нет поддержки Cyclone II. Пробовал поставить Quartus 9.1sp2 установилась, но даже не запускается, не находит нужные ей системные файлы lib. Кто пользуется Quartus под Linux, поделитесь информацией, плиз.

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Regards, S.M.

Quartus для Linux 3 года 3 мес. назад #4524

masser пишет: Подскажите какую версию Quartus под Linux поставить? Последняя 15-ая установилась без проблем, но нет поддержки Cyclone II. Пробовал поставить Quartus 9.1sp2 установилась, но даже не запускается, не находит нужные ей системные файлы lib. Кто пользуется Quartus под Linux, поделитесь информацией, плиз.


См. таблицу поддерживаемых Cyclon'ов разными версиями Quartus: dl.altera.com/devices/

Как следует из таблицы, последняя версия Quartus, которая поддерживает Cyclone III --- это версия 13.1.

Я скачал web-версию Quartus 13.1 --- хватило двух файлов: cyclone_web-13.1.0.162.qdz и QuartusSetupWeb-13.1.0.162.run
На сайте Altera предлагают скачать update для Quartus 13.1, но я отложил это дело.

Quartus 13.1 успешно поставился на Debian testing amd64.
Имейте в виду, что версия 13.1 для linux является 32-битной (т.е. про основные исполняемые файлы программа file говорит ELF 32-bit LSB executable, Intel 80386, version 1 (SYSV), dynamically linked), так что для amd64 надо включать Multiarch (см. wiki.debian.org/Multiarch/HOWTO ).

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Quartus для Linux 3 года 3 нед. назад #4745

masser пишет: Подскажите какую версию Quartus под Linux поставить? Последняя 15-ая установилась без проблем, но нет поддержки Cyclone II. Пробовал поставить Quartus 9.1sp2 установилась, но даже не запускается, не находит нужные ей системные файлы lib. Кто пользуется Quartus под Linux, поделитесь информацией, плиз.


Для Cyclone II надо поставить 13.0sp1. См. Cyclone Devices на странице dl.altera.com/devices/

Также см. раздел "Предварительные расчёты: с какой ПЛИС работать будем?" вот в этой публкации: geektimes.ru/post/264516/

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Quartus для Linux 3 года 3 нед. назад #4754

Может кому будет полезно:
На странице
www.hs-augsburg.de/~beckmanf/dokuwiki/do...u_virtual_cae_system
можно скачать образ VirtualBox Ubuntu12.04 с предустановленными Quartus13sp1 WebEdition +Modelsim10.1d
весит он правда 13,44 Gb

При установке на Ubuntu чтобы заработал HELP Квартуса в директории установки Квартуса
/quartus/linux в терминале выполнить: mv libstdc++.so.6 libstdc++.so.6_bck
в Квартусе Tools/Options/Internet Connectivity/Web Browser добавить путь к браузеру /usr/bin/firefox
Jtag подключал по методике описанной в
electronix.ru/forum/lofiversion/index.php/t100764.html
пользователем Tampler +добавка от Poluektovich

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Quartus для Linux 2 года 9 мес. назад #5334

Всем доброго времени суток!
Помогите, пожалуйста, с установкой quartus 9.1 на Ubuntu 14.04.
Распаковываю архив, разрешаю файлу install исполнение, пытаюсь запустить - ругается, что задан недействительный url. Как правильно ставить квартус? Инструкции в нэте везде разные несложно запутаться. Или из под графической оболочки его невозможно поставить, только через команднуюю строку?

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Quartus для Linux 2 года 9 мес. назад #5335

fender_p пишет: Всем доброго времени суток!
Помогите, пожалуйста, с установкой quartus 9.1 на Ubuntu 14.04.
Распаковываю архив, разрешаю файлу install исполнение, пытаюсь запустить - ругается, что задан недействительный url. Как правильно ставить квартус? Инструкции в нэте везде разные несложно запутаться. Или из под графической оболочки его невозможно поставить, только через команднуюю строку?


Опишите подробнее, что именно вы делаете, кто и как именно ругается.

Почему вы хотите поставить именно Quartus 9.1?

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Quartus для Linux 2 года 9 мес. назад #5336

9.1 поддерживает Cyclonell и при этом имеет встроенный cимулятор. Да и привык к нему еще с Винды. Меня эта версия полностью устраивает. (С 12.1 версией, кстати, та же история).

-Скачиваю вэб-эдишн с сайта альтеры.
-жму на архиве - распаковать в эту директорию
далее появляется папка "quartus_free". Там нахожу файл install. Захожу в свойства, ставлю галочку "разрешить выполнение файла как программы" . Далее - двойной клик по файлу, и вылазит табличка "Задан недействительный url (путь к этому фалу), остановлено. Недопустимый символ в строке uri.

Хочется все таки не забить и довести дело до конца, не хочется перелазить обратно на Win

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Последнее редактирование: от fender_p.

Quartus для Linux 2 года 9 мес. назад #5337

Может просто это старые версии (до 12й), и в Ubuntu нет каких то библиотек нужных?

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Quartus для Linux 2 года 9 мес. назад #5338

fender_p пишет: 9.1 поддерживает Cyclonell и при этом имеет встроенный cимулятор. Да и привык к нему еще с Винды. Меня эта версия полностью устраивает. (С 12.1 версией, кстати, та же история).

-Скачиваю вэб-эдишн с сайта альтеры.
-жму на архиве - распаковать в эту директорию
далее появляется папка "quartus_free". Там нахожу файл install. Захожу в свойства, ставлю галочку "разрешить выполнение файла как программы" . Далее - двойной клик по файлу, и вылазит табличка "Задан недействительный url (путь к этому фалу), остановлено. Недопустимый символ в строке uri.

Хочется все таки не забить и довести дело до конца, не хочется перелазить обратно на Win


Итак, я заполучил архив 91_quartus_free_linux.tar. Распаковываю и захожу в quartus_free и запускаю инсталлятор --- все нормально устанавливается.
$ tar vfx 91_quartus_free_linux.tar
$ cd quartus_free/
$ ./install

Надо учесть, что скрипт install написан на языке csh, поэтому надо установить соответствующий пакет (apt-get install csh).
Замечу также, что install изначально отмечен как исполняемый:
$ ls -la install
-rwxr-xr-x 1 antony antony 33574 Oct 22  2009 install

Далее при запуске quartus выходят сообщения об отсутствии библиотек.

Мой Debian linux --- для архитектуры amd64, так что надо включить multiarch и доставить пакеты
libsm6:i386
libxrender1:i386
libfreetype6:i386
libfontconfig1:i386
libxext6:i386

Однако после того, как все библиотеки установлены, выясняется, что нет полной совместимости по библиотеке libXext6:
quartus: symbol lookup error: /usr/lib/i386-linux-gnu/libXext.so.6: undefined symbol: _XGetRequest

Думаю не стоит без достаточно веской причины пытаться ставить Quartus 2009 года на Ubuntu 2014 года.
Мне кажется Quartus 13.0sp1 поддерживается Cyclone II (см. dl.altera.com/13.0sp1/?edition=web ), попробуйте его.

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

Quartus для Linux 2 года 9 мес. назад #5339

13.0 сайт не дает, отсутствует страница. Ставлю 12.0. Запускаю файл setup, а ос делает вид, что ничего не происходит. То есть та же сама проблема - не открываются файлы сетапа. Причем в настройках выставил параметр "запускать исполнемые файлы при открытии". Видимо проблема именно в перевариваемости системой файлов установки

Пожалуйста Войти или Регистрация, чтобы присоединиться к беседе.

  • Страница:
  • 1
  • 2
Время создания страницы: 0.218 секунд

facebook  GitHub  YouTube  Twitter